summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-10-17 23:07:31 +0100
committerSam James <sam@gentoo.org>2022-10-17 23:07:31 +0100
commit73a0e712c04bc84b642b9ee5f8fdf3ab52233804 (patch)
tree897007f4c464e81dfde62b1ef8bcf5f93c29cace /eclass
parentkernel-build.eclass: pass -q to xz (diff)
downloadgentoo-73a0e712c04bc84b642b9ee5f8fdf3ab52233804.tar.gz
gentoo-73a0e712c04bc84b642b9ee5f8fdf3ab52233804.tar.bz2
gentoo-73a0e712c04bc84b642b9ee5f8fdf3ab52233804.zip
linux-mod.eclass: pass -q to xz
Avoids noise from memlimit-compress. Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/linux-mod.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 6846c528354a..7e9993892847 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -716,7 +716,7 @@ linux-mod_src_install() {
# and similarily compress the module being built if != NONE.
if linux_chkconfig_present MODULE_COMPRESS_XZ; then
- xz -T$(makeopts_jobs) --memlimit-compress=50% ${modulename}.${KV_OBJ} || die "Compressing ${modulename}.${KV_OBJ} with xz failed"
+ xz -T$(makeopts_jobs) --memlimit-compress=50% -q ${modulename}.${KV_OBJ} || die "Compressing ${modulename}.${KV_OBJ} with xz failed"
doins ${modulename}.${KV_OBJ}.xz
elif linux_chkconfig_present MODULE_COMPRESS_GZIP; then
if type -P pigz &>/dev/null ; then